Page MenuHomePhabricator

New Pages Feed: implement back-end code for ORES filters
Closed, ResolvedPublic

Description

This is a task detailing the technical work for back-end changes to the New Pages Feed that will satisfy the requirements in T195927.

  • Update getPageIDs in ApiPageTriageList, update query to use ORES tables as noted in T195796
  • Note that while for now, we're going to query ORES tables, we may in the future store the ORES data elsewhere (PageTriage tables).
  • Update getMetadata in ArticleMetadata.php to load ORES data into article metadata
  • Update/add unit/integration tests

Event Timeline

kostajh triaged this task as Normal priority.Jul 3 2018, 7:01 PM
kostajh created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2018, 7:01 PM
kostajh updated the task description. (Show Details)Jul 3 2018, 7:29 PM
Aklapper changed the edit policy from "Custom Policy" to "All Users".Jul 4 2018, 3:07 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJul 5 2018, 5:34 PM
Catrope edited projects, added Growth-Team; removed Growth-Team (Current Sprint).
Catrope moved this task from Needs Discussion/Analysis to Current Sprint on the Growth-Team board.
Catrope edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
MMiller_WMF renamed this task from Implement back-end code for ORES filters to New Pages Feed: implement back-end code for ORES filters.Jul 5 2018, 8:53 PM
MMiller_WMF updated the task description. (Show Details)

Change 444252 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/ORES@master] Introducing QueryHelper

https://gerrit.wikimedia.org/r/444252

SBisson removed the point value for this task.

Change 444252 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Introducing DatabaseQueryBuilder

https://gerrit.wikimedia.org/r/444252

Etonkovidova closed this task as Resolved.Aug 9 2018, 5:18 PM